#define M41T00_SECONDS	0
#define	M41T00_MINUTES 	1
#define	M41T00_HOURS	2
#define M41T00_DOW		3
#define M41T00_DAY		4
#define	M41T00_MONTH	5
#define M41T00_YEAR		6
#define M41T00_CONTROL 	7

typedef struct {
	unsigned int Seconds;
	unsigned int Minutes;
	unsigned int Hours;
	unsigned int DayOfWeek;
	unsigned int Day;
	unsigned int Month;
	unsigned int Year;
}DateTime;


void M41T00_WriteReg(unsigned char addr, unsigned char value);
unsigned char M41T00_ReadReg(unsigned char addr);
void M41T00_SetDateTime(DateTime*);
void M41T00_GetDateTime(DateTime*);
void M41T00_Init(void);
