//***************** (c) 2009 BTC Korporacja ***********************************
//                     http://www kamami.com
// PROJECT  : CHAR LCD
// BOARD    : ZL28ARM
// COMPILER : WinARM 20060606
//
//******************************************************************************
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//******************************************************************************
//
// DESCRIPTION :
//    Using LCD character display (HD44780 compatible) in 4-bit mode.
//
//
//******************************************************************************
#include "board.h"
#include "HD44780.h"

int main(void)
{
volatile unsigned int temp, i = 0;

AT91F_PMC_EnablePeriphClock(AT91C_BASE_PMC, 1 << AT91C_ID_PIOA);
AT91F_RSTSetMode(AT91C_BASE_RSTC, AT91C_RSTC_URSTEN);

LCD_Initialize();
LCD_GoTo(0,0);
LCD_WriteText(" -- ZL28ARM -- ZL28ARM --");
LCD_GoTo(0,1);
LCD_WriteText(" Kamami Development Board");

do{
for(temp = 0; temp < 10; temp++) // shift the text to the left
  {
  LCD_ShiftLeft();
  for(i = 0; i < 0x7FFFF; i++);
  }
for(temp = 0; temp < 10; temp++) // shift the text to the right 
  {
  LCD_ShiftRight();
  for(i = 0; i < 0x7FFFF; i++);
  }
}while(1);

return 0;
}
