#include "board.h"

void SPI_Init(void)
{
AT91F_SPI0_CfgPIO();
AT91F_SPI0_CfgPMC();
AT91F_SPI_CfgMode(AT91C_BASE_SPI0, AT91C_SPI_MSTR | AT91C_SPI_PS_VARIABLE);
AT91F_SPI_Enable(AT91C_BASE_SPI0);
AT91F_SPI_CfgCs(AT91C_BASE_SPI0 , 1, (255 << 8) | (100 << 24) | (1 << 1));
}
//

unsigned char SPI_Transmit(unsigned char data)
{
unsigned char tmp;
AT91PS_SPI SPI = AT91C_BASE_SPI0;
while(!( SPI->SPI_SR & AT91C_SPI_TDRE));
AT91F_SPI_PutChar(SPI, data, 1);	
while(!( SPI->SPI_SR & AT91C_SPI_RDRF));
tmp = AT91F_SPI_GetChar(SPI);	
return(tmp);
}
//

