//***************** (c) 2008 BTC Korporacja ***********************************
//                     http://www kamami.com
// PROJECT  : UART
// BOARD    : ZL28ARM
// COMPILER : WinARM 20060606
//
//******************************************************************************
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//******************************************************************************
//
// DESCRIPTION :
//    Simple UART communication demo.
//
// CONNECTIONS :
// 	  RS232(PC) -> CON10(ZL28ARM)
//
// SETTINGS:
//    115200bps 8N1
//
//******************************************************************************
#include "board.h"
#include "USART.h"
#include "HD44780.h"
//
int main(void)
{
char Message[18];

AT91F_PMC_EnablePeriphClock(AT91C_BASE_PMC, 1 << AT91C_ID_PIOA);
AT91F_RSTSetMode(AT91C_BASE_RSTC, AT91C_RSTC_URSTEN);

USART_Init(115200);

LCD_Initialize();
LCD_GoTo(0,0);
LCD_WriteText(" ZL28ARM - UART");
LCD_GoTo(0,1);
LCD_WriteText(" www.kamami.com");

USART_PutChar('\r');
USART_PutString("*************************\r");
USART_PutString("**     ZL28ARM  UART   **\r");
USART_PutString("**    www.kamami.com   **\r");
USART_PutString("*************************\r");

do{
  USART_PutString("->");USART_GetString(Message);
  USART_PutString("<-");USART_PutString(Message);
  LCD_Clear();
  LCD_GoTo(0,0);
  LCD_WriteText("Rx:");
  LCD_GoTo(0,1);
  LCD_WriteText(Message);
}while(1);

while(1);
return 0;
}
